import serial
import pygame

# port = input("Enter port: ")
port = '/dev/ttyUSB0'
ser = serial.Serial(port, 9600)

pygame.init()
pygame.display.set_mode((400, 400))

last_command = 0

while True:
    if pygame.event.get(pygame.QUIT):
        break

    command = 0

    left = pygame.key.get_pressed()[pygame.K_LEFT]
    right = pygame.key.get_pressed()[pygame.K_RIGHT]
    up = pygame.key.get_pressed()[pygame.K_UP]
    down = pygame.key.get_pressed()[pygame.K_DOWN]
    space = pygame.key.get_pressed()[pygame.K_SPACE]
    charge = pygame.key.get_pressed()[pygame.K_c]
    stop = pygame.key.get_pressed()[pygame.K_s]

    print(left, right, up, down, space)

    if left:
        command |= 0b00000001
    if right:
        command |= 0b00000010
    if up:
        command |= 0b00000100
    if down:
        command |= 0b00001000
    if space:
        command |= 0b00010000
    if charge:
        command |= 0b00100000

    if command != last_command:
        print(command)
        cmd = chr(command)
        ser.write(cmd.encode())

        last_command = command
