#include <Servo.h>
  
#define CHARGE_PIN  3
#define SHOOT_PIN   9
#define PAN_PIN    10
#define TILT_PIN   11

Servo shoot, pan, tilt;
        
void setup() {
  pinMode(CHARGE_PIN, OUTPUT);                               
  shoot.attach(SHOOT_PIN);
  pan.attach(PAN_PIN);
  tilt.attach(TILT_PIN);

  shoot.write(120);

  Serial.begin(9600);
}

uint32_t time = 0;

void loop() {
    if(millis() - time < 10) return;

    if(Serial.available()) {
      int x = Serial.read();
    
      if(x & 1)
        pan.write(75);
      else if(x & 2)
        pan.write(105);
      else
        pan.write(90);
        
      if(x & 4)o\
        tilt.write(85);
      else if(x & 8)
        tilt.write(100);
      else
        tilt.write(90);

      if(x & 16)
        shoot.write(20);
      else
        shoot.write(120);

      if(x & 32)
        digitalWrite(CHARGE_PIN, HIGH);

      if(x & 64)
        digitalWrite(CHARGE_PIN, LOW);
    }

    time += 10;
}
